<?php
$relatedPosts   = get_field( 'related_contents' );
$relatedPostsId = [];

if ( isset($relatedPosts) && $relatedPosts !== '' ) {
	foreach ( $relatedPosts as $post ) {
		array_push( $relatedPostsId, $post->ID );
	}

	$args               = array(
		'post__in'  => $relatedPostsId,
		'post_type' => 'any',
		'orderby'   => 'post__in'
	);
	$posts              = new WP_Query( $args );
	$wrapper_attributes = get_block_wrapper_attributes();
	if ( isset( $attributes ) ) {
		?>

		<?php if ( $posts->have_posts() ) : ?>
			<div <?php echo $wrapper_attributes ?>>
				<?php if ( $attributes['title'] !== "" ) : ?>
					<p><?php echo $attributes['title'] ?></p>
				<?php endif ?>
				<ul>
					<?php while ( $posts->have_posts() ) :
						$posts->the_post() ?>
						<li>
							<?php if ( $attributes['showThumbnail'] ) : ?>
								<figure>
									<?php the_post_thumbnail( $attributes['thumbnailSize'] ) ?>
								</figure>
							<?php endif ?>
							<?php echo "<" . $attributes['htmlTag'] . ">" ?>
							<a href= <?php echo get_permalink() ?>> <?php echo get_the_title() ?></a>
							<?php echo "</" . $attributes['htmlTag'] . ">" ?>
							<?php if ( $attributes['showExcerpt'] ) : ?>
								<p><?php echo get_the_excerpt(); ?></p>
							<?php endif ?>
						</li>
					<?php endwhile ?>
				</ul>
			</div>
		<?php endif ?>
	<?php }
	wp_reset_postdata();
}


