<?php
if ( isset( $attributes ) ) {

	$show_description = boolval( $attributes['showExcerpt'] );
	$show_image       = boolval( $attributes['showThumbnail'] );
	$postsIds         = $attributes['postsIds'];

	$wrapper_attributes = get_block_wrapper_attributes();

	$query_vars = array(
		'posts_per_page' => - 1,
		'post_type'      => 'any',
		'post__in'       => $postsIds
	);

	$selectedPosts = new WP_Query( $query_vars );
	?>

	<ul <?php echo $wrapper_attributes ?>>
		<?php while ( $selectedPosts->have_posts() ) :
			$selectedPosts->the_post() ?>
			<li>
                <?php if ( $show_image && has_post_thumbnail() ) : ?>
					<figure>
						<?php the_post_thumbnail( $attributes['thumbnailSize'] );
						get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ); ?>
					</figure>
				<?php endif ?>
				<h2><a href= <?php echo get_permalink() ?>><?php the_title() ?></a></h2>
				<?php if ( $show_description && has_excerpt() ) : ?>
					<?php the_excerpt() ?>
				<?php endif ?>
			</li>
		<?php endwhile; ?>
	</ul>

	<?php
}
