import { Fragment } from '@wordpress/element';
import Block from './block';
import Inspector from './inspector';
import Toolbar from './toolbar';

import './editor.scss';

/**
 * The edit function describes the structure of your block in the context of the
 * editor. This represents what the editor will render when the block is used.
 *
 * @param {Object} props
 * @see https://developer.wordpress.org/block-editor/reference-guides/block-api/block-edit-save/#edit
 *
 * @return {WPElement} Element to render.
 */
export default function edit(props) {
	const {
		attributes: { images, thumbnailSize, showCaption },
		setAttributes,
	} = props;

	return (
		<Fragment>
			<Inspector
				{...{ images, thumbnailSize, showCaption, setAttributes }}
			/>
			<Toolbar {...{ images, setAttributes }} />
			<Block {...{ images, thumbnailSize, showCaption, setAttributes }} />
		</Fragment>
	);
}
