import { InspectorControls } from '@wordpress/block-editor';
import {
	ToggleControl,
	Panel,
	PanelBody,
	SelectControl,
} from '@wordpress/components';
import { Fragment } from '@wordpress/element';
import { __ } from '@wordpress/i18n';

export default function Inspector(props) {
	const { images, thumbnailSize, showCaption, setAttributes } = props;
	const hasImages = images.length > 0;

	return (
		<InspectorControls>
			<Panel>
				<PanelBody title={__('Settings')} initialOpen>
					{hasImages && (
						<Fragment>
							<SelectControl
								value={thumbnailSize}
								options={[
									{
										value: 'thumbnail',
										label: __('Thumbnail'),
									},
									{ value: 'medium', label: __('Medium') },
									{ value: 'large', label: __('Large') },
									{ value: 'full', label: __('Full Size') },
								]}
								label={__("Taille de l'image", 'bsw-blocks')}
								onChange={(newThumbnailSize) =>
									setAttributes({
										thumbnailSize: newThumbnailSize,
									})
								}
							/>
							<ToggleControl
								label={__('Afficher la légende', 'bsw-blocks')}
								checked={showCaption}
								onChange={(showCaption) =>
									setAttributes({ showCaption })
								}
							/>
						</Fragment>
					)}
				</PanelBody>
			</Panel>
		</InspectorControls>
	);
}
