import {
	InnerBlocks,
	useBlockProps,
	useSetting,
} from '@wordpress/block-editor';

export default function Block(props) {
	const blockProps = useBlockProps();

	const { setAttributes, clientId, blockId, margin } = props;

	const marginData = useSetting('custom.margin-text');

	if (!margin) {
		setAttributes({ margin: marginData });
	}

	if (!blockId) {
		setAttributes({ blockId: clientId });
	}

	return (
		<div {...blockProps}>
			<div>
				<ul>
					<InnerBlocks
						allowedBlocks={['bsw/carousel-slide']}
						orientation="horizontal"
						renderAppender={() => (
							<InnerBlocks.ButtonBlockAppender />
						)}
					/>
				</ul>
			</div>
		</div>
	);
}
